.banner,
.about-me {
  min-height: 60vh;
  max-height: 60vh;
}

.blog__content, .questions, .specialty {
  min-height: 60vh;
}

.blog__content,
.contact {
  padding: 2.5rem;
}

.banner {
  padding-top: 93.3px;
}

.banner,
.questions,
.blog__content {
  background-color: var(--bg-color-secondary);
}

.banner {
    background-image: url(https://soniamanciopsi.psc.br/wp-content/uploads/2025/10/escritorio-tela-fechada-2.png);
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    background-position-y: bottom;
    background-attachment: fixed;	
}

.about-me,
.specialty,
.contact {
  background-color: var(--bg-color-primary);
}

.about-me .strong,
.specialty .strong,
.contact .strong {
  color: var(--bg-color-secondary);
}

.container__button {
  width: 100%;
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.container__button-secondary {
  margin-top: 20px;
  display: flex;
}

.banner__content {
  color: var(--bg-color-primary);
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  min-height: 60vh;
  font-size: 1.5rem;
  gap: 1.5rem;
}

.banner__content h1 {
  font-size: 50px;
  font-weight: 700;
  text-align: center;
}

.banner__content span {
  text-align: center;
}

.banner__content h2 {
  text-align: center;
}

.strong {
  font-weight: bold;
}

.title {
  font-size: 2rem;
  line-height: 2.5rem;
  margin-bottom: 2rem;
}

.subtitle {
  font-size: 1.25rem;
  line-height: 1.75rem;
}

.btn-primary,
.btn-secondary {
  padding: 10px 20px;
  border: 1px solid var(--bg-color-primary);
  background-color: var(--bg-color-primary);
  border-radius: 1.5rem;
  color: var(--bg-color-secondary);
  text-align: center;
  min-width: 251px;
  min-height: 24px;
  font-size: 24px;
  transition: 0.4s ease-in;
}

.btn-primary:hover,
.btn-secondary:hover {
  border-color: var(--bg-color-secondary-hover);
  background-color: var(--bg-color-secondary-hover);
  color: var(--bg-color-primary);
  transition: 0.4s ease-out;
}

.btn-secondary {
  border: 1px solid var(--bg-color-secondary);
  background-color: var(--bg-color-secondary);
  color: var(--bg-color-primary);
}

.btn-secondary:hover {
  border-color: var(--bg-color-secondary-hover);
  background-color: var(--bg-color-secondary-hover);
  color: var(--bg-color-primary);
}

.about-me__content,
.specialty__content {
  display: grid;
  grid-template-columns: 1fr 1fr;
  padding: 2.5rem;
  gap: 2rem;
}

.about-me__image,
.specialty__image {
  display: flex;
  align-items: center;
  justify-content: start;
  max-height: 50vh;
  height: 100%;
  width: 100%;
  border-radius: 20px;
}

.about-me__image img,
.specialty__image img {
  object-fit: cover;
  object-position: center 15%;
  height: 100%;
  width: 100%;
  border-radius: 20px;
}

.specialty__image img {
  object-position: center 10%;
}

.about-me__text h2,
.specialty__text h2,
.contact .container h2 {
  font-size: 2rem;
  border-bottom: 1.5px solid var(--bg-color-secondary);
  margin-bottom: 2rem;
}

.about-me__text p,
.specialty__text p,
.contact .container p {
  font-size: 1.125rem;
}

.questions {
  padding: 2.5rem;
}

.questions h2,
.blog__content h2 {
  color: var(--bg-color-primary);
  border-bottom: 1.5px solid var(--bg-color-primary);
}

.questions__content {
  padding: 0px 0px 2.5rem;
}

.contact__content {
  display: flex;
  gap: 30px;
}

.contact__content-right-icons {
  display: flex;
  gap: 10px;
  align-items: center;
}

.contact__content-right-icons a {
  width: 30px;
  height: 30px;
}

.contact__content-right-icons svg {
  width: 100%;
  height: 100%;
  fill: var(--bg-color-secondary);
}

.questions__card,
.blog__content-card {
  display: flex;
  flex-direction: column;
  background-color: var(--bg-color-primary);
  border-radius: 0.5rem;
  padding: 1rem;
  box-sizing: border-box;
  min-height: 40vh;
}

.questions__card-header h3,
.blog__content-card-title {
  border-bottom: 1.5px solid var(--bg-color-secondary);
  padding-bottom: 0.25rem;
  margin-bottom: 0.75rem;
}

.questions__card-body {
  display: flex;
  flex-direction: column;
  gap: 30px;
}

.questions__card-body-image,
.blog__content-card-image a {
  height: 200px;
  width: 100%;
  max-height: 200px;
  max-width: 100%;
  position: relative;
  display: inline-block;
}

.questions__card-body-image img,
.blog__content-card-image img {
  height: 100%;
  width: 100%;
  object-fit: cover;
}

.questions__card-body-image::before,
.blog__content-card-image a::before {
  content: "";
  position: absolute;
  inset: 0;
  background-color: var(--bg-color-secondary-disfocus);
  transition: background-color 0.3s ease;
}

.questions__card-body-image:hover::before,
.blog__content-card-image a:hover::before {
  background-color: rgba(0, 0, 0, 0);
  transition: background-color 0.3s ease;
}

.blog__content-card-title.subtitle {
  font-size: 1rem;
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.blog__content-btn {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.blog__content-cards {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 30px;
}

.blog__content-card {
  width: 31%;
}

.blog__content-card-text {
  margin-top: 30px;
}

.blog__content-card-btn.btn-secondary {
  font-size: 16px;
  padding: 5px 10px;
  display: flex;
  align-items: center;
  min-width: fit-content;
  max-width: fit-content;
  margin-top: 10px;
}

#whatsappIcon {
  position: fixed;
  bottom: 30px;
  right: 30px;
  border: none;
  border-radius: 50%;
  cursor: pointer;
  z-index: 999;

  width: 40px;
  height: 40px;
}

#whatsappIcon svg {
  width: 100%;
  height: 100%;
}

footer {
  text-align: center;
  padding: 1rem 0;
  box-sizing: border-box;
  background-color: var(--bg-color-primary);
}

@media screen and (max-width: 1024px) {
  .banner,
  .about-me,
  .questions,
  .specialty,
  .contact,
  .blog__content {
    max-height: fit-content;
  }

  .blog__content,
  .contact,
  .questions,
  .about-me__content,
  .specialty__content {
    padding: 2rem;
  }

  .banner {
    padding: 0px 2rem;
  }

  .questions__card {
    min-height: 371px;
  }

  .contact__content {
    flex-direction: column;
    align-items: center;
  }

  .contact__content-right-icons {
    justify-content: center;
  }

  .about-me__image,
  .specialty__image {
    height: 500px;
  }

  .about-me__image img,
  .specialty__image img {
    object-position: center 15%;
  }

  .blog__content-cards {
    flex-wrap: wrap;
  }

  .blog__content-card {
    max-width: 100%;
    min-height: 452px;
  }

  .contact__content-left {
    text-align: center;
  }
}

@media screen and (max-width: 955px) {
  .blog__content-card {
    width: calc(50% - 15px);
  }
}

@media screen and (max-width: 768px) {
  .blog__content,
  .contact,
  .questions,
  .about-me__content,
  .specialty__content {
    padding: 3rem 1.5rem;
  }

  .banner {
    padding: 96px 1.5rem 0;
  }

  .banner__content h2,
  .banner__content a {
    font-size: 1.25rem;
  }

  .about-me__content,
  .specialty__content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1rem;
  }

  .about-me__image,
  .specialty__image {
    height: 350px;
    border-radius: 20px;
  }

  .about-me__image img,
  .specialty__image img {
    object-position: center 30%;
  }

  .specialty__image img {
    object-position: center 10%;
  }
}

@media screen and (max-width: 620px) {
  .blog__content-card {
    width: 100%;
  }

  .blog__content-cards {
    flex-direction: column;
  }
}

@media screen and (min-width: 410px) and (max-width: 768px) {
  .about-me__image,
  .specialty__image {
    height: 500px;
  }

  .about-me__image img,
  .specialty__image img {
    object-position: center 15%;
  }

  .specialty__image img {
    object-position: center 10%;
  }
}
